Index: doc/images/node_biconnected_components.eps
===================================================================
--- doc/images/node_biconnected_components.eps	(revision 1213)
+++ doc/images/node_biconnected_components.eps	(revision 634)
@@ -1,5 +1,5 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Creator: LEMON, graphToEps()
-%%CreationDate: Fri Mar  8 00:18:43 2013
+%%CreationDate: Fri Nov  4 13:47:12 2005
 %%BoundingBox: 0 0 842 596
 %%EndComments
@@ -54,105 +54,105 @@
 %Edges:
 gsave
-574.035 177.301 622.149 225.748 670.264 274.195 0 1 0 6.25356 lb
-694.579 115.483 682.421 194.839 670.264 274.195 1 0 0 6.25356 lb
-280.402 10.3938 246.402 -6.60595 212.403 -23.6057 1 1 0.5 6.25356 lb
-280.402 10.3938 283.493 -18.9695 286.584 -48.3327 1 1 0.5 6.25356 lb
-212.403 -23.6057 249.493 -35.9692 286.584 -48.3327 1 1 0.5 6.25356 lb
-286.584 -48.3327 326.765 -79.2414 366.947 -110.15 1 0.5 1 6.25356 lb
-286.584 -48.3327 278.857 -111.695 271.13 -175.058 1 0.5 1 6.25356 lb
-438.037 -88.514 417.946 -142.604 397.855 -196.694 0.5 0.5 1 6.25356 lb
-438.037 -88.514 402.492 -99.332 366.947 -110.15 0.5 0.5 1 6.25356 lb
-397.855 -196.694 382.401 -153.422 366.947 -110.15 0.5 0.5 1 6.25356 lb
-366.947 -110.15 319.038 -142.604 271.13 -175.058 1 0.5 1 6.25356 lb
-271.13 -175.058 274.221 -213.694 277.311 -252.33 0.5 1 1 6.25356 lb
-271.13 -175.058 238.675 -190.512 206.221 -205.967 0.5 1 1 6.25356 lb
-277.311 -252.33 241.766 -229.149 206.221 -205.967 0.5 1 1 6.25356 lb
--840.856 -246.718 -804.351 -66.7145 -767.847 113.289 0 0.5 0 6.25356 lb
--579.033 445.603 -673.44 279.446 -767.847 113.289 0 0 0.5 6.25356 lb
--579.033 445.603 -524.906 302.104 -470.779 158.605 0 0 0.5 6.25356 lb
--767.847 113.289 -619.313 135.947 -470.779 158.605 0 0 0.5 6.25356 lb
-906.312 201.403 946.592 42.798 986.873 -115.807 0 0.5 0.5 6.25356 lb
-906.312 201.403 834.562 91.8901 762.812 -17.6227 0 0.5 0.5 6.25356 lb
-986.873 -115.807 874.842 -66.7148 762.812 -17.6227 0 0.5 0.5 6.25356 lb
--470.779 158.605 -390.218 50.3508 -309.657 -57.9033 0.5 0.5 0 6.25356 lb
-422.945 521.129 208.955 541.269 -5.03507 561.41 0.5 0 0.5 6.25356 lb
-422.945 521.129 376.371 417.911 329.797 314.692 0.5 0 0.5 6.25356 lb
-422.945 521.129 474.554 276.928 526.164 32.7279 0.5 0 0.5 6.25356 lb
--5.03507 561.41 -36.5042 440.568 -67.9734 319.727 0.5 0 0.5 6.25356 lb
-329.797 314.692 130.912 317.209 -67.9734 319.727 0.5 0 0.5 6.25356 lb
--67.9734 319.727 229.095 176.227 526.164 32.7279 0.5 0 0.5 6.25356 lb
-762.812 -17.6227 644.488 7.5526 526.164 32.7279 0.5 0.5 0.5 6.25356 lb
-762.812 -17.6227 746.448 -162.381 730.084 -307.139 0.5 0.5 0.5 6.25356 lb
-526.164 32.7279 470.779 -128.394 415.393 -289.516 0.5 0.5 0.5 6.25356 lb
-730.084 -307.139 572.738 -298.327 415.393 -289.516 0.5 0.5 0.5 6.25356 lb
-415.393 -289.516 173.71 -318.468 -67.9734 -347.42 1 0.5 0.5 6.25356 lb
--67.9734 -347.42 -188.815 -202.662 -309.657 -57.9033 0.5 1 0.5 6.25356 lb
--67.9734 -347.42 -195.758 -390.692 -323.543 -433.964 0.5 1 0.5 6.25356 lb
--309.657 -57.9033 -424.775 -160.272 -539.894 -262.64 0.5 1 0.5 6.25356 lb
--323.543 -433.964 -431.719 -348.302 -539.894 -262.64 0.5 1 0.5 6.25356 lb
--26.6953 -19.9585 44.8558 -96.8093 116.407 -173.66 1 1 0 6.25356 lb
--26.6953 -19.9585 87.2563 9.19185 201.208 38.3422 1 1 0 6.25356 lb
--26.6953 -19.9585 -144.622 43.6422 -262.548 107.243 1 0 1 6.25356 lb
--26.6953 -19.9585 -20.0703 56.8923 -13.4452 133.743 1 0 1 6.25356 lb
-116.407 -173.66 158.808 -67.6589 201.208 38.3422 1 1 0 6.25356 lb
--262.548 107.243 -137.997 120.493 -13.4452 133.743 1 0 1 6.25356 lb
--262.548 107.243 -221.472 176.144 -180.397 245.045 1 0 1 6.25356 lb
--13.4452 133.743 -96.9211 189.394 -180.397 245.045 1 0 1 6.25356 lb
--180.397 245.045 -113.509 338.465 -132.697 451.748 0 1 1 6.25356 lb
--180.397 245.045 -199.585 358.328 -132.697 451.748 0 1 1 6.25356 lb
--416.25 345.746 -274.474 398.747 -132.697 451.748 0.5 0 0 6.25356 lb
--416.25 345.746 -393.725 457.048 -371.2 568.349 0.5 0 0 6.25356 lb
--132.697 451.748 -251.948 510.048 -371.2 568.349 0.5 0 0 6.25356 lb
-670.264 274.195 629.188 409.347 588.113 544.499 0 0 1 6.25356 lb
-670.264 274.195 797.466 341.771 924.667 409.347 0 0 1 6.25356 lb
-588.113 544.499 756.39 476.923 924.667 409.347 0 0 1 6.25356 lb
--689.204 -237.261 -587.735 -114.393 -567.302 43.6423 0 0 0 6.25356 lb
--689.204 -237.261 -668.771 -79.2259 -567.302 43.6423 0 0 0 6.25356 lb
+574.035 177.301 622.149 225.748 670.264 274.195 0 1 0 5 lb
+694.579 115.483 682.421 194.839 670.264 274.195 1 0 0 5 lb
+280.402 10.3938 246.402 -6.60595 212.403 -23.6057 1 1 0.5 5 lb
+280.402 10.3938 283.493 -18.9695 286.584 -48.3327 1 1 0.5 5 lb
+212.403 -23.6057 249.493 -35.9692 286.584 -48.3327 1 1 0.5 5 lb
+286.584 -48.3327 326.765 -79.2414 366.947 -110.15 1 0.5 1 5 lb
+286.584 -48.3327 278.857 -111.695 271.13 -175.058 1 0.5 1 5 lb
+438.037 -88.514 417.946 -142.604 397.855 -196.694 0.5 0.5 1 5 lb
+438.037 -88.514 402.492 -99.332 366.947 -110.15 0.5 0.5 1 5 lb
+397.855 -196.694 382.401 -153.422 366.947 -110.15 0.5 0.5 1 5 lb
+366.947 -110.15 319.038 -142.604 271.13 -175.058 1 0.5 1 5 lb
+271.13 -175.058 274.221 -213.694 277.311 -252.33 0.5 1 1 5 lb
+271.13 -175.058 238.675 -190.512 206.221 -205.967 0.5 1 1 5 lb
+277.311 -252.33 241.766 -229.149 206.221 -205.967 0.5 1 1 5 lb
+-840.856 -246.718 -804.351 -66.7145 -767.847 113.289 0 0.5 0 5 lb
+-579.033 445.603 -673.44 279.446 -767.847 113.289 0 0 0.5 5 lb
+-579.033 445.603 -524.906 302.104 -470.779 158.605 0 0 0.5 5 lb
+-767.847 113.289 -619.313 135.947 -470.779 158.605 0 0 0.5 5 lb
+906.312 201.403 946.592 42.798 986.873 -115.807 0 0.5 0.5 5 lb
+906.312 201.403 834.562 91.8901 762.812 -17.6227 0 0.5 0.5 5 lb
+986.873 -115.807 874.842 -66.7148 762.812 -17.6227 0 0.5 0.5 5 lb
+-470.779 158.605 -390.218 50.3508 -309.657 -57.9033 0.5 0.5 0 5 lb
+422.945 521.129 208.955 541.269 -5.03507 561.41 0.5 0 0.5 5 lb
+422.945 521.129 376.371 417.911 329.797 314.692 0.5 0 0.5 5 lb
+422.945 521.129 474.554 276.928 526.164 32.7279 0.5 0 0.5 5 lb
+-5.03507 561.41 -36.5042 440.568 -67.9734 319.727 0.5 0 0.5 5 lb
+329.797 314.692 130.912 317.209 -67.9734 319.727 0.5 0 0.5 5 lb
+-67.9734 319.727 229.095 176.227 526.164 32.7279 0.5 0 0.5 5 lb
+762.812 -17.6227 644.488 7.5526 526.164 32.7279 0.5 0.5 0.5 5 lb
+762.812 -17.6227 746.448 -162.381 730.084 -307.139 0.5 0.5 0.5 5 lb
+526.164 32.7279 470.779 -128.394 415.393 -289.516 0.5 0.5 0.5 5 lb
+730.084 -307.139 572.738 -298.327 415.393 -289.516 0.5 0.5 0.5 5 lb
+415.393 -289.516 173.71 -318.468 -67.9734 -347.42 1 0.5 0.5 5 lb
+-67.9734 -347.42 -188.815 -202.662 -309.657 -57.9033 0.5 1 0.5 5 lb
+-67.9734 -347.42 -195.758 -390.692 -323.543 -433.964 0.5 1 0.5 5 lb
+-309.657 -57.9033 -424.775 -160.272 -539.894 -262.64 0.5 1 0.5 5 lb
+-323.543 -433.964 -431.719 -348.302 -539.894 -262.64 0.5 1 0.5 5 lb
+-26.6953 -19.9585 44.8558 -96.8093 116.407 -173.66 1 1 0 5 lb
+-26.6953 -19.9585 87.2563 9.19185 201.208 38.3422 1 1 0 5 lb
+-26.6953 -19.9585 -144.622 43.6422 -262.548 107.243 1 0 1 5 lb
+-26.6953 -19.9585 -20.0703 56.8923 -13.4452 133.743 1 0 1 5 lb
+116.407 -173.66 158.808 -67.6589 201.208 38.3422 1 1 0 5 lb
+-262.548 107.243 -137.997 120.493 -13.4452 133.743 1 0 1 5 lb
+-262.548 107.243 -221.472 176.144 -180.397 245.045 1 0 1 5 lb
+-13.4452 133.743 -96.9211 189.394 -180.397 245.045 1 0 1 5 lb
+-180.397 245.045 -140.307 344.649 -132.697 451.748 0 1 1 5 lb
+-180.397 245.045 -172.787 352.144 -132.697 451.748 0 1 1 5 lb
+-416.25 345.746 -274.474 398.747 -132.697 451.748 0.5 0 0 5 lb
+-416.25 345.746 -393.725 457.048 -371.2 568.349 0.5 0 0 5 lb
+-132.697 451.748 -251.948 510.048 -371.2 568.349 0.5 0 0 5 lb
+670.264 274.195 629.188 409.347 588.113 544.499 0 0 1 5 lb
+670.264 274.195 797.466 341.771 924.667 409.347 0 0 1 5 lb
+588.113 544.499 756.39 476.923 924.667 409.347 0 0 1 5 lb
+-689.204 -237.261 -612.964 -103.444 -567.302 43.6423 0 0 0 5 lb
+-689.204 -237.261 -643.542 -90.1744 -567.302 43.6423 0 0 0 5 lb
 grestore
 %Nodes:
 gsave
--567.302 43.6423 20.8452 0 0 1 nc
--689.204 -237.261 20.8452 0 0 1 nc
-924.667 409.347 20.8452 0 0 1 nc
-588.113 544.499 20.8452 0 0 1 nc
-670.264 274.195 20.8452 1 0 0 nc
--371.2 568.349 20.8452 0 0 1 nc
--132.697 451.748 20.8452 1 0 0 nc
--416.25 345.746 20.8452 0 0 1 nc
--180.397 245.045 20.8452 1 0 0 nc
--13.4452 133.743 20.8452 0 0 1 nc
--262.548 107.243 20.8452 0 0 1 nc
-201.208 38.3422 20.8452 0 0 1 nc
-116.407 -173.66 20.8452 0 0 1 nc
--26.6953 -19.9585 20.8452 1 0 0 nc
--539.894 -262.64 20.8452 0 0 1 nc
--323.543 -433.964 20.8452 0 0 1 nc
--309.657 -57.9033 20.8452 1 0 0 nc
--67.9734 -347.42 20.8452 1 0 0 nc
-415.393 -289.516 20.8452 1 0 0 nc
-730.084 -307.139 20.8452 0 0 1 nc
-526.164 32.7279 20.8452 1 0 0 nc
-762.812 -17.6227 20.8452 1 0 0 nc
--67.9734 319.727 20.8452 0 0 1 nc
-329.797 314.692 20.8452 0 0 1 nc
--5.03507 561.41 20.8452 0 0 1 nc
-422.945 521.129 20.8452 0 0 1 nc
--470.779 158.605 20.8452 1 0 0 nc
-986.873 -115.807 20.8452 0 0 1 nc
-906.312 201.403 20.8452 0 0 1 nc
--767.847 113.289 20.8452 1 0 0 nc
--579.033 445.603 20.8452 0 0 1 nc
--840.856 -246.718 20.8452 0 0 1 nc
-206.221 -205.967 20.8452 0 0 1 nc
-277.311 -252.33 20.8452 0 0 1 nc
-271.13 -175.058 20.8452 1 0 0 nc
-366.947 -110.15 20.8452 1 0 0 nc
-397.855 -196.694 20.8452 0 0 1 nc
-438.037 -88.514 20.8452 0 0 1 nc
-286.584 -48.3327 20.8452 1 0 0 nc
-212.403 -23.6057 20.8452 0 0 1 nc
-280.402 10.3938 20.8452 0 0 1 nc
-694.579 115.483 20.8452 0 0 1 nc
-574.035 177.301 20.8452 0 0 1 nc
+-567.302 43.6423 20 0 0 1 nc
+-689.204 -237.261 20 0 0 1 nc
+924.667 409.347 20 0 0 1 nc
+588.113 544.499 20 0 0 1 nc
+670.264 274.195 20 1 0 0 nc
+-371.2 568.349 20 0 0 1 nc
+-132.697 451.748 20 1 0 0 nc
+-416.25 345.746 20 0 0 1 nc
+-180.397 245.045 20 1 0 0 nc
+-13.4452 133.743 20 0 0 1 nc
+-262.548 107.243 20 0 0 1 nc
+201.208 38.3422 20 0 0 1 nc
+116.407 -173.66 20 0 0 1 nc
+-26.6953 -19.9585 20 1 0 0 nc
+-539.894 -262.64 20 0 0 1 nc
+-323.543 -433.964 20 0 0 1 nc
+-309.657 -57.9033 20 1 0 0 nc
+-67.9734 -347.42 20 1 0 0 nc
+415.393 -289.516 20 1 0 0 nc
+730.084 -307.139 20 0 0 1 nc
+526.164 32.7279 20 1 0 0 nc
+762.812 -17.6227 20 1 0 0 nc
+-67.9734 319.727 20 0 0 1 nc
+329.797 314.692 20 0 0 1 nc
+-5.03507 561.41 20 0 0 1 nc
+422.945 521.129 20 0 0 1 nc
+-470.779 158.605 20 1 0 0 nc
+986.873 -115.807 20 0 0 1 nc
+906.312 201.403 20 0 0 1 nc
+-767.847 113.289 20 1 0 0 nc
+-579.033 445.603 20 0 0 1 nc
+-840.856 -246.718 20 0 0 1 nc
+206.221 -205.967 20 0 0 1 nc
+277.311 -252.33 20 0 0 1 nc
+271.13 -175.058 20 1 0 0 nc
+366.947 -110.15 20 1 0 0 nc
+397.855 -196.694 20 0 0 1 nc
+438.037 -88.514 20 0 0 1 nc
+286.584 -48.3327 20 1 0 0 nc
+212.403 -23.6057 20 0 0 1 nc
+280.402 10.3938 20 0 0 1 nc
+694.579 115.483 20 0 0 1 nc
+574.035 177.301 20 0 0 1 nc
 grestore
 grestore
Index: doc/images/strongly_connected_components.eps
===================================================================
--- doc/images/strongly_connected_components.eps	(revision 1213)
+++ doc/images/strongly_connected_components.eps	(revision 634)
@@ -1,5 +1,5 @@
 %!PS-Adobe-2.0 EPSF-2.0
 %%Creator: LEMON, graphToEps()
-%%CreationDate: Fri Mar  8 00:22:15 2013
+%%CreationDate: Fri Nov  4 13:47:12 2005
 %%BoundingBox: 0 0 842 596
 %%EndComments
@@ -54,126 +54,126 @@
 %Edges:
 gsave
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+2 setlinewidth 0 0 1 setrgbcolor newpath
 218.178 27.2723 moveto
-195.849 -31.0725 190.033 -46.2697 176.306 -82.1369 curveto stroke
-newpath 163.235 -116.291 moveto 165.206 -77.8889 lineto 187.405 -86.3849 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+192.373 -40.1551 188.622 -49.9556 169.228 -100.631 curveto stroke
+newpath 164.939 -111.838 moveto 165.492 -99.2013 lineto 172.964 -102.061 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 44.8044 15.5841 moveto
-109.705 19.9594 126.016 21.0591 166.493 23.7879 curveto stroke
-newpath 202.98 26.2477 moveto 167.292 11.9299 lineto 165.694 35.6458 lineto closepath fill
-4.56973 setlinewidth 1 0 0 setrgbcolor newpath
+119.293 20.6059 129.775 21.3125 186.25 25.1199 curveto stroke
+newpath 198.223 25.927 moveto 186.519 21.1289 lineto 185.981 29.1108 lineto closepath fill
+2 setlinewidth 1 0 0 setrgbcolor newpath
 218.178 27.2723 moveto
-281.264 -80.3935 289.87 -95.0808 338.092 -177.379 curveto stroke
-newpath 356.579 -208.932 moveto 327.837 -183.388 lineto 348.346 -171.371 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+285.395 -87.4449 290.763 -96.6058 348.102 -194.464 curveto stroke
+newpath 354.169 -204.818 moveto 344.651 -196.487 lineto 351.554 -192.442 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 157.79 -130.517 moveto
-114.446 -74.4692 104.358 -61.4239 76.4943 -25.394 curveto stroke
-newpath 54.1228 3.53455 moveto 85.8959 -18.1234 lineto 67.0928 -32.6646 lineto closepath fill
-4.56973 setlinewidth 1 0 0 setrgbcolor newpath
+108.71 -67.0521 102.27 -58.7243 64.3804 -9.72954 curveto stroke
+newpath 57.0394 -0.236898 moveto 67.5446 -7.28254 lineto 61.2162 -12.1765 lineto closepath fill
+2 setlinewidth 1 0 0 setrgbcolor newpath
 -105.193 -261.035 moveto
--39.4801 -139.85 -31.344 -124.846 20.1113 -29.9539 curveto stroke
-newpath 37.5434 2.19358 moveto 30.559 -35.6192 lineto 9.66361 -24.2886 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+-35.6576 -132.801 -30.5923 -123.459 29.5506 -12.5464 curveto stroke
+newpath 35.2708 -1.99743 moveto 33.0669 -14.4531 lineto 26.0343 -10.6397 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 -465.576 -42.8564 moveto
--550.335 -27.1603 -566.8 -24.1113 -625.027 -13.3286 curveto stroke
-newpath -660.985 -6.66971 moveto -622.863 -1.64245 lineto -627.191 -25.0148 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+-559.078 -25.5413 -569.47 -23.6169 -644.498 -9.72286 curveto stroke
+newpath -656.297 -7.5378 moveto -643.77 -5.78973 lineto -645.226 -13.656 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 -574.666 -153.893 moveto
--535.911 -114.447 -524.692 -103.027 -501.88 -79.8085 curveto stroke
-newpath -476.251 -53.7222 moveto -493.402 -88.1377 lineto -510.358 -71.4793 lineto closepath fill
-4.56973 setlinewidth 1 0 0 setrgbcolor newpath
+-528.842 -107.252 -521.515 -99.794 -488.002 -65.683 curveto stroke
+newpath -479.592 -57.123 moveto -485.149 -68.4863 lineto -490.856 -62.8797 lineto closepath fill
+2 setlinewidth 1 0 0 setrgbcolor newpath
 -490.901 120.777 moveto
--481.623 60.8277 -479.143 44.8049 -473.499 8.33636 curveto stroke
-newpath -467.906 -27.8032 moveto -485.244 6.51862 lineto -461.754 10.1541 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+-480.122 51.1328 -478.519 40.7713 -470.47 -11.2329 curveto stroke
+newpath -468.635 -23.0917 moveto -474.423 -11.8447 lineto -466.517 -10.6212 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 -675.963 -3.89604 moveto
--637.405 -60.9909 -628.201 -74.6206 -603.658 -110.963 curveto stroke
-newpath -583.191 -141.27 moveto -613.507 -117.615 lineto -593.808 -104.312 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+-632.116 -68.8235 -626.228 -77.5422 -592.575 -127.374 curveto stroke
+newpath -585.859 -137.319 moveto -595.89 -129.612 lineto -589.26 -125.135 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 -490.901 120.777 moveto
--439.75 208.465 -431.238 223.057 -394.278 286.417 curveto stroke
-newpath -375.851 318.006 moveto -384.012 280.429 lineto -404.543 292.406 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+-435.445 215.844 -430.107 224.995 -384.3 303.522 curveto stroke
+newpath -378.253 313.887 moveto -380.845 301.507 lineto -387.755 305.537 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 -266.879 114.933 moveto
--358.311 117.318 -375.109 117.756 -439.117 119.426 curveto stroke
-newpath -475.674 120.38 moveto -438.807 131.307 lineto -439.426 107.545 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+-367.067 117.547 -377.642 117.822 -458.912 119.943 curveto stroke
+newpath -470.908 120.255 moveto -458.807 123.941 lineto -459.016 115.944 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 -368.176 331.163 moveto
--326.156 241.466 -318.997 226.186 -288.855 161.843 curveto stroke
-newpath -273.341 128.727 moveto -299.617 156.801 lineto -278.092 166.885 lineto closepath fill
-4.56973 setlinewidth 1 0 0 setrgbcolor newpath
+-322.511 233.685 -318.018 224.095 -280.454 143.911 curveto stroke
+newpath -275.364 133.044 moveto -284.076 142.214 lineto -276.832 145.608 lineto closepath fill
+2 setlinewidth 1 0 0 setrgbcolor newpath
 -266.879 114.933 moveto
--226.764 227.755 -221.069 243.774 -190.728 329.107 curveto stroke
-newpath -178.477 363.564 moveto -179.53 325.126 lineto -201.926 333.089 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+-224.004 235.52 -220.448 245.52 -184.094 347.765 curveto stroke
+newpath -180.074 359.072 moveto -180.325 346.425 lineto -187.863 349.105 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 -251.294 -335.059 moveto
--198.044 -308.079 -183.61 -300.766 -151.402 -284.448 curveto stroke
-newpath -118.781 -267.92 moveto -146.031 -295.049 lineto -156.774 -273.846 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+-189.25 -303.624 -179.902 -298.887 -133.738 -275.498 curveto stroke
+newpath -123.034 -270.074 moveto -131.93 -279.066 lineto -135.546 -271.93 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 -389.604 -136.361 moveto
--332.039 -219.059 -322.392 -232.919 -280.889 -292.543 curveto stroke
-newpath -259.996 -322.557 moveto -290.643 -299.333 lineto -271.134 -285.753 lineto closepath fill
-4.56973 setlinewidth 1 0 0 setrgbcolor newpath
+-327.15 -226.083 -321.098 -234.777 -269.576 -308.795 curveto stroke
+newpath -262.72 -318.644 moveto -272.859 -311.081 lineto -266.293 -306.51 lineto closepath fill
+2 setlinewidth 1 0 0 setrgbcolor newpath
 5.84406 175.322 moveto
--70.5724 261.706 -81.8227 274.423 -139.051 339.116 curveto stroke
-newpath -163.281 366.507 moveto -130.149 346.991 lineto -147.953 331.242 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+-76.0754 267.926 -83.1051 275.873 -152.172 353.948 curveto stroke
+newpath -160.122 362.936 moveto -149.176 356.598 lineto -155.168 351.298 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 169.478 311.683 moveto
-103.641 256.819 90.7821 246.103 45.6398 208.485 curveto stroke
-newpath 17.546 185.074 moveto 38.0313 217.615 lineto 53.2483 199.355 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+96.8003 251.119 88.6819 244.353 30.4273 195.808 curveto stroke
+newpath 21.2086 188.126 moveto 27.8666 198.881 lineto 32.988 192.735 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 342.851 111.037 moveto
-269.224 196.246 258.132 209.083 203.347 272.486 curveto stroke
-newpath 179.437 300.157 moveto 212.34 280.257 lineto 194.354 264.716 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+263.766 202.563 256.831 210.589 190.4 287.47 curveto stroke
+newpath 182.554 296.55 moveto 193.427 290.085 lineto 187.373 284.855 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 5.84406 175.322 moveto
-155.419 146.79 172.221 143.585 291.966 120.743 curveto stroke
-newpath 327.888 113.891 moveto 289.739 109.069 lineto 294.193 132.418 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+163.16 145.314 173.605 143.321 311.418 117.033 curveto stroke
+newpath 323.205 114.784 moveto 310.668 113.104 lineto 312.167 120.962 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 342.851 111.037 moveto
-490.978 6.99574 505.015 -2.86383 627.727 -89.0547 curveto stroke
-newpath 657.653 -110.074 moveto 620.896 -98.7802 lineto 634.558 -79.3291 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+497.255 2.58683 505.964 -3.53033 643.932 -100.436 curveto stroke
+newpath 653.752 -107.334 moveto 641.633 -103.71 lineto 646.231 -97.163 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 364.28 -222.074 moveto
-354.807 -74.8128 353.709 -57.7536 346.177 59.3416 curveto stroke
-newpath 343.829 95.836 moveto 358.037 60.1045 lineto 334.316 58.5786 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+354.298 -66.9063 353.616 -56.2971 344.905 79.1029 curveto stroke
+newpath 344.135 91.0781 moveto 348.897 79.3597 lineto 340.914 78.8461 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 670.118 -118.829 moveto
-535.595 -164.241 519.412 -169.704 413.361 -205.505 curveto stroke
-newpath 378.712 -217.202 moveto 409.559 -194.245 lineto 417.162 -216.766 lineto closepath fill
-4.56973 setlinewidth 1 0 0 setrgbcolor newpath
+528.037 -166.793 517.967 -170.192 394.599 -211.839 curveto stroke
+newpath 383.229 -215.677 moveto 393.32 -208.049 lineto 395.878 -215.629 lineto closepath fill
+2 setlinewidth 1 0 0 setrgbcolor newpath
 -105.193 -261.035 moveto
-110.939 -243.099 128.069 -241.677 312.655 -226.358 curveto stroke
-newpath 349.1 -223.334 moveto 313.638 -238.202 lineto 311.672 -214.514 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+118.401 -242.479 129.015 -241.598 332.39 -224.721 curveto stroke
+newpath 344.348 -223.728 moveto 332.72 -228.707 lineto 332.059 -220.734 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 -105.193 -261.035 moveto
--156.746 -168.566 -164.987 -153.784 -202.693 -86.1539 curveto stroke
-newpath -220.5 -54.2129 moveto -192.312 -80.3665 lineto -213.073 -91.9413 lineto closepath fill
-4.56973 setlinewidth 0 0 1 setrgbcolor newpath
+-160.867 -161.176 -166.028 -151.918 -212.336 -68.858 curveto stroke
+newpath -218.179 -58.3769 moveto -208.842 -66.9102 lineto -215.829 -70.8058 lineto closepath fill
+2 setlinewidth 0 0 1 setrgbcolor newpath
 -227.918 -40.9084 moveto
--290.327 -77.7521 -304.558 -86.1532 -344.995 -110.026 curveto stroke
-newpath -376.487 -128.617 moveto -351.037 -99.7914 lineto -338.953 -120.26 lineto closepath fill
+-298.35 -82.4884 -307.42 -87.8432 -362.048 -120.093 curveto stroke
+newpath -372.381 -126.193 moveto -364.081 -116.648 lineto -360.014 -123.537 lineto closepath fill
 grestore
 %Nodes:
 gsave
--389.604 -136.361 15.2324 0 1 0 nc
--227.918 -40.9084 15.2324 0 1 0 nc
--105.193 -261.035 15.2324 0 1 0 nc
-364.28 -222.074 15.2324 1 1 0 nc
-670.118 -118.829 15.2324 1 1 0 nc
-342.851 111.037 15.2324 1 1 0 nc
-5.84406 175.322 15.2324 1 1 0 nc
-169.478 311.683 15.2324 1 1 0 nc
--173.374 377.916 15.2324 1 0 1 nc
--251.294 -335.059 15.2324 0 1 0 nc
--266.879 114.933 15.2324 0 0 0 nc
--368.176 331.163 15.2324 0 0 0 nc
--490.901 120.777 15.2324 0 0 0 nc
--574.666 -153.893 15.2324 1 0 0 nc
--675.963 -3.89604 15.2324 1 0 0 nc
--465.576 -42.8564 15.2324 1 0 0 nc
-44.8044 15.5841 15.2324 0 0 1 nc
-157.79 -130.517 15.2324 0 0 1 nc
-218.178 27.2723 15.2324 0 0 1 nc
+-389.604 -136.361 20 0 1 0 nc
+-227.918 -40.9084 20 0 1 0 nc
+-105.193 -261.035 20 0 1 0 nc
+364.28 -222.074 20 1 1 0 nc
+670.118 -118.829 20 1 1 0 nc
+342.851 111.037 20 1 1 0 nc
+5.84406 175.322 20 1 1 0 nc
+169.478 311.683 20 1 1 0 nc
+-173.374 377.916 20 1 0 1 nc
+-251.294 -335.059 20 0 1 0 nc
+-266.879 114.933 20 0 0 0 nc
+-368.176 331.163 20 0 0 0 nc
+-490.901 120.777 20 0 0 0 nc
+-574.666 -153.893 20 1 0 0 nc
+-675.963 -3.89604 20 1 0 0 nc
+-465.576 -42.8564 20 1 0 0 nc
+44.8044 15.5841 20 0 0 1 nc
+157.79 -130.517 20 0 0 1 nc
+218.178 27.2723 20 0 0 1 nc
 grestore
 grestore
Index: doc/lgf.dox
===================================================================
--- doc/lgf.dox	(revision 1270)
+++ doc/lgf.dox	(revision 463)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -64,21 +64,4 @@
 \endcode
 
-The \e LGF files can also contain bipartite graphs, in this case a
-\c \@red_nodes and a \c \@blue_nodes sections describe the node set of the
-graph. If a map is in both of these sections, then it can be used as a
-regular node map.
-
-\code
- @red_nodes
- label  only_red_map   name
- 1      "cherry"       "John"
- 2      "Santa Claus"  "Jack"
- 3      "blood"        "Jason"
- @blue_nodes
- label  name
- 4      "Elisabeth"
- 5      "Eve"
-\endcode
-
 The \c \@arcs section is very similar to the \c \@nodes section,
 it again starts with a header line describing the names of the maps,
@@ -96,19 +79,8 @@
 \endcode
 
-If there is no map in the \c \@arcs section at all, then it must be
-indicated by a sole '-' sign in the first line.
-
-\code
- @arcs
-         -
- 1   2
- 1   3
- 2   3
-\endcode
-
 The \c \@edges is just a synonym of \c \@arcs. The \@arcs section can
 also store the edge set of an undirected graph. In such case there is
 a conventional method for store arc maps in the file, if two columns
-have the same caption with \c '+' and \c '-' prefix, then these columns
+has the same caption with \c '+' and \c '-' prefix, then these columns
 can be regarded as the values of an arc map.
 
Index: doc/mainpage.dox
===================================================================
--- doc/mainpage.dox	(revision 802)
+++ doc/mainpage.dox	(revision 802)
@@ -0,0 +1,57 @@
+/* -*- mode: C++; indent-tabs-mode: nil; -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library.
+ *
+ * Copyright (C) 2003-2009
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
+/**
+\mainpage LEMON Documentation
+
+\section intro Introduction
+
+<b>LEMON</b> stands for <i><b>L</b>ibrary for <b>E</b>fficient <b>M</b>odeling
+and <b>O</b>ptimization in <b>N</b>etworks</i>.
+It is a C++ template library providing efficient implementation of common
+data structures and algorithms with focus on combinatorial optimization
+problems in graphs and networks.
+
+<b>
+LEMON is an <a class="el" href="http://opensource.org/">open&nbsp;source</a>
+project.
+You are free to use it in your commercial or
+non-commercial applications under very permissive
+\ref license "license terms".
+</b>
+
+The project is maintained by the 
+<a href="http://www.cs.elte.hu/egres/">Egerv&aacute;ry Research Group on
+Combinatorial Optimization</a> \ref egres
+at the Operations Research Department of the
+<a href="http://www.elte.hu/">E&ouml;tv&ouml;s Lor&aacute;nd University,
+Budapest</a>, Hungary.
+LEMON is also a member of the <a href="http://www.coin-or.org/">COIN-OR</a>
+initiative \ref coinor.
+
+\section howtoread How to Read the Documentation
+
+If you would like to get to know the library, see
+<a class="el" href="http://lemon.cs.elte.hu/pub/tutorial/">LEMON Tutorial</a>.
+
+If you know what you are looking for, then try to find it under the
+<a class="el" href="modules.html">Modules</a> section.
+
+If you are a user of the old (0.x) series of LEMON, please check out the
+\ref migration "Migration Guide" for the backward incompatibilities.
+*/
Index: doc/min_cost_flow.dox
===================================================================
--- doc/min_cost_flow.dox	(revision 1270)
+++ doc/min_cost_flow.dox	(revision 835)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -27,5 +27,5 @@
 minimum total cost from a set of supply nodes to a set of demand nodes
 in a network with capacity constraints (lower and upper bounds)
-and arc costs \cite amo93networkflows.
+and arc costs \ref amo93networkflows.
 
 Formally, let \f$G=(V,A)\f$ be a digraph, \f$lower: A\rightarrow\mathbf{R}\f$,
@@ -82,5 +82,5 @@
    - if \f$\sum_{uv\in A} f(uv) - \sum_{vu\in A} f(vu) \neq sup(u)\f$,
      then \f$\pi(u)=0\f$.
-
+ 
 Here \f$cost^\pi(uv)\f$ denotes the \e reduced \e cost of the arc
 \f$uv\in A\f$ with respect to the potential function \f$\pi\f$, i.e.
@@ -102,5 +102,5 @@
 \f[ lower(uv) \leq f(uv) \leq upper(uv) \quad \forall uv\in A \f]
 
-However, if the sum of the supply values is zero, then these two problems
+However if the sum of the supply values is zero, then these two problems
 are equivalent.
 The \ref min_cost_flow_algs "algorithms" in LEMON support the general
@@ -120,5 +120,5 @@
 \f[ lower(uv) \leq f(uv) \leq upper(uv) \quad \forall uv\in A \f]
 
-It means that the total demand must be less or equal to the
+It means that the total demand must be less or equal to the 
 total supply (i.e. \f$\sum_{u\in V} sup(u)\f$ must be zero or
 positive) and all the demands have to be satisfied, but there
Index: doc/named-param.dox
===================================================================
--- doc/named-param.dox	(revision 1351)
+++ doc/named-param.dox	(revision 463)
@@ -26,5 +26,5 @@
 function parameters by name also when you call the function. It is
 especially comfortable in case of a function having tons of parameters
-with natural default values. Sadly, C++ lacks this amenity.
+with natural default values. Sadly, C++ lack this amenity.
 
 However, with a crafty trick and with some little
Index: lemon/CMakeLists.txt
===================================================================
--- lemon/CMakeLists.txt	(revision 1315)
+++ lemon/CMakeLists.txt	(revision 726)
@@ -5,12 +5,6 @@
 
 CONFIGURE_FILE(
-  ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
+  ${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config.h
-)
-
-CONFIGURE_FILE(
-  ${CMAKE_CURRENT_SOURCE_DIR}/lemon.pc.in
-  ${CMAKE_CURRENT_BINARY_DIR}/lemon.pc
-  @ONLY
 )
 
@@ -37,5 +31,5 @@
 IF(LEMON_HAVE_CPLEX)
   SET(LEMON_SOURCES ${LEMON_SOURCES} cplex.cc)
-  INCLUDE_DIRECTORIES(${ILOG_INCLUDE_DIRS})
+  INCLUDE_DIRECTORIES(${CPLEX_INCLUDE_DIRS})
 ENDIF()
 
@@ -50,17 +44,7 @@
 ENDIF()
 
-IF(LEMON_HAVE_SOPLEX)
-  SET(LEMON_SOURCES ${LEMON_SOURCES} soplex.cc)
-  INCLUDE_DIRECTORIES(${SOPLEX_INCLUDE_DIRS})
-ENDIF()
-
 ADD_LIBRARY(lemon ${LEMON_SOURCES})
-
-TARGET_LINK_LIBRARIES(lemon
-  ${GLPK_LIBRARIES} ${COIN_LIBRARIES} ${ILOG_LIBRARIES} ${SOPLEX_LIBRARIES}
-  )
-
 IF(UNIX)
-  SET_TARGET_PROPERTIES(lemon PROPERTIES OUTPUT_NAME emon VERSION ${LEMON_VERSION} SOVERSION ${LEMON_VERSION})
+  SET_TARGET_PROPERTIES(lemon PROPERTIES OUTPUT_NAME emon)
 ENDIF()
 
@@ -68,5 +52,4 @@
   TARGETS lemon
   ARCHIVE DESTINATION lib
-  LIBRARY DESTINATION lib
   COMPONENT library
 )
@@ -84,8 +67,2 @@
   COMPONENT headers
 )
-
-INSTALL(
-  FILES ${CMAKE_CURRENT_BINARY_DIR}/lemon.pc
-  DESTINATION lib/pkgconfig
-)
-
